digiKam Developer Documentation: Digikam::TableViewModel Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Classes | Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::TableViewModel Class Reference
Inheritance diagram for Digikam::TableViewModel:

## Classes
class | Item

## Public Types
typedef DatabaseFields::Hash< QVariant > | DatabaseFieldsHashRaw
enum | GroupingMode { GroupingHideGrouped = 0 , GroupingIgnoreGrouping = 1 , GroupingShowSubItems = 2 }

## Public Slots
void | slotSetActive (const bool isActive)

## Signals
void | signalGroupingModeChanged ()

## Public Member Functions
| TableViewModel (TableViewShared *const sharedObject, QObject *const parent=nullptr)
void | addColumnAt (const TableViewColumnConfiguration &cpp, const int targetColumn=-1)
void | addColumnAt (const TableViewColumnDescription &description, const int targetColumn=-1)
QList< ItemInfo > | allItemInfo () const
int | columnCount (const QModelIndex &i) const override
QVariant | data (const QModelIndex &i, int role) const override
int | deepRowCount () const
QModelIndex | deepRowIndex (const int rowNumber) const
bool | dropMimeData (const QMimeData *data, Qt::DropAction action, int row, int column, const QModelIndex &parent) override
int | findChildSortedPosition (Item *const parentItem, Item *const childItem)
int | firstDeepRowNotInList (const QList< QModelIndex > &needleList)
Qt::ItemFlags | flags (const QModelIndex &index) const override
QModelIndex | fromItemFilterModelIndex (const QModelIndex &imageFilterModelIndex)
QModelIndex | fromItemModelIndex (const QModelIndex &imageModelIndex)
TableViewColumn * | getColumnObject (const int columnIndex)
QList< TableViewColumn * > | getColumnObjects ()
TableViewColumnProfile | getColumnProfile () const
GroupingMode | groupingMode () const
bool | hasChildren (const QModelIndex &parent=QModelIndex()) const override
QVariant | headerData (int section, Qt::Orientation orientation, int role) const override
qlonglong | imageId (const QModelIndex &anIndex) const
QList< qlonglong > | imageIds (const QModelIndexList &indexList) const
ItemInfo | imageInfo (const QModelIndex &index) const
QList< ItemInfo > | imageInfos (const QModelIndexList &indexList) const
QModelIndex | index (int row, int column, const QModelIndex &parent=QModelIndex()) const override
QModelIndex | indexFromImageId (const qlonglong imageId, const int columnIndex) const
int | indexToDeepRowNumber (const QModelIndex &index) const
ItemInfo | infoFromItem (Item *const item) const
ItemInfoList | infosFromItems (const QList< Item * > &items) const
QVariant | itemDatabaseFieldRaw (Item *const item, const DatabaseFields::Set &requestedField)
DatabaseFieldsHashRaw | itemDatabaseFieldsRaw (Item *const item, const DatabaseFields::Set &requestedSet)
Item * | itemFromImageId (const qlonglong imageId) const
Item * | itemFromIndex (const QModelIndex &i) const
QModelIndex | itemIndex (Item *const item) const
bool | lessThan (Item *const itemA, Item *const itemB)
void | loadColumnProfile (const TableViewColumnProfile &columnProfile)
QMimeData * | mimeData (const QModelIndexList &indexes) const override
QStringList | mimeTypes () const override
QModelIndex | parent (const QModelIndex &childIndex) const override
void | removeColumnAt (const int columnIndex)
int | rowCount (const QModelIndex &parent) const override
void | scheduleResort ()
void | setGroupingMode (const GroupingMode newGroupingMode)
QList< Item * > | sortItems (const QList< Item * > &itemList)
Qt::DropActions | supportedDropActions () const override
| drag-and-drop related functions
QModelIndex | toCol0 (const QModelIndex &anIndex) const
QModelIndex | toItemFilterModelIndex (const QModelIndex &i) const
QModelIndex | toItemModelIndex (const QModelIndex &i) const

## Protected Member Functions
void | sort (int column, Qt::SortOrder order=Qt::AscendingOrder) override

## Member Function Documentation

## ◆ addColumnAt()

void Digikam::TableViewModel::addColumnAt | ( | const TableViewColumnDescription & | description,
|  | const int | targetColumn = `-1`
| ) |  |

## ◆ flags()

Qt::ItemFlags Digikam::TableViewModel::flags | ( | const QModelIndex & | index | ) | const
| override

## ◆ indexFromImageId()

QModelIndex Digikam::TableViewModel::indexFromImageId | ( | const qlonglong | imageId,
|  | const int | columnIndex
| ) |  | const

## ◆ infoFromItem()

ItemInfo Digikam::TableViewModel::infoFromItem | ( | TableViewModel::Item *const | item | ) | const

## ◆ loadColumnProfile()

void Digikam::TableViewModel::loadColumnProfile | ( | const TableViewColumnProfile & | columnProfile | ) |

## ◆ parent()

QModelIndex Digikam::TableViewModel::parent | ( | const QModelIndex & | childIndex | ) | const
| override

## ◆ sort()

void Digikam::TableViewModel::sort | ( | int | column,
|  | Qt::SortOrder | order = `Qt::AscendingOrder`
| ) |  |
| overrideprotected